//=============================================================================
// File Name: stream.h
// Written by: Shang-Tse Chen (27.05.12)
//=============================================================================
#include <vector>
#include "WeightVector.h" 

class Example {
 public:
  Example() { }
  Example(simple_sparse_vector& features, int label) : x(features), y(label), w(1.0) { }
  Example(const Example& other) {x = other.x; y = other.y; w = other.w;}
  simple_sparse_vector x;
  int y;
  double w;
};

class FileStream
{
    public:
        FileStream(const char*);
        bool has_next();
        Example& next();
        void reset();
        int dim;
        int T;

    private:
        int t;
        std::vector<Example> data;
};
